Overview | Package | Class | Use | Tree | Deprecated | Index | Help
|  | BEA Systems, Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## Type-Safe Access to BEA WebLogic Server 9.1 MBeans (Deprecated)
(Methods marked with @since 9.0.0.0 are not available through the deprecated `MBeanHome` interface.)

## weblogic.security.providers.saml
Interface SAMLCredentialMapperMBean

All Superinterfaces:
  ApplicationVersionerMBean, CredentialMapperMBean, weblogic.descriptor.DescriptorBean, ProviderMBean, weblogic.descriptor.SettableBean, weblogic.management.commo.StandardInterface

public interface SAMLCredentialMapperMBean
extends weblogic.management.commo.StandardInterface, weblogic.descriptor.DescriptorBean, CredentialMapperMBean, ApplicationVersionerMBean

This MBean represents configuration information for the SAML Credential Mapper provider.Deprecation of MBeanHome and Type-Safe InterfacesThis is a type-safe interface for a WebLogic Server MBean, which you can import into your client classes and access through weblogic.management.MBeanHome. As of 9.0, the MBeanHome interface and all type-safe interfaces for WebLogic Server MBeans are deprecated. Instead, client classes that interact with WebLogic Server MBeans should use standard JMX design patterns in which clients use the javax.management.MBeanServerConnection interface to discover MBeans, attributes, and attribute types at runtime. For more information, see "Developing Manageable Applications with JMX" on http://edocs.bea.com.

  Copyright © 2005 BEA Systems, Inc. All Rights Reserved.

Method Summary
`Properties` | `getAssertionConfiguration()` Configuration for assertions generated by this SAML Authority.Assertions are configured in key=value format.
`String[]` | `getAssertionRetrievalURIs()` One or more URI values indicating the URIs to which the SAML service should listen for incoming assertion retrieval requests.For artifact profile, the destination site receives a SAML artifact that represents a source site (why we need the source site ID values) and an assertion ID.
`String` | `getAssertionStoreClassName()` The class that implements the persistent store for ARTIFACT profile assertions.
`Properties` | `getAssertionStoreProperties()` Properties passed to Assertion Store class init() method.
`int` | `getCredCacheMinViableTTL()` No description provided.
`int` | `getCredCacheSize()` No description provided.
`String` | `getDefaultPostForm()` The URI of the default POST form to use with POST profile.The default POST form must be a resource on the local machine.
`int` | `getDefaultTimeToLive()` Time in seconds that, by default, an assertion should remain valid.If the value is zero, then assertions have an infinite lifetime.
`int` | `getDefaultTimeToLiveDelta()` A time factor you can use to allow the Credential Mapper to compensate for clock differences between the source and destination sites.
`String` | `getDescription()` A short description of the SAML Credential Mapper provider.
`String[]` | `getIntersiteTransferURIs()` The Intersite Transfer URIs for this SAML source site.
`String` | `getIssuerURI()` The Issuer URI (name) of this SAML Authority.
`int` | `getMinimumParserPoolSize()` The minimum number of parsers to maintain in the parser pool.
`String` | `getName()` The name of this configuration.
`String` | `getNameMapperClassName()` The name of the Java class that maps Subjects to SAML Assertion name information.
`String` | `getNameQualifier()` The Name Qualifier value used by the Name Mapper.The value of the Name Qualifier is the security or administrative domain that qualifies the name of the subject.
`String` | `getProviderClassName()` The name of the Java class used to load the SAML Credential Mapper provider.
`String` | `getSourceIdBase64()` A Base64 representation, calculated from the SourceSiteURL field, which must contain a valid URL value if either of the single sign-on profiles (POST or ARTIFACT) are enabled.This read-only value is a Base64 representation of a 20-byte binary value that is calculated from the SourceSiteURL.
`String` | `getSourceIdHex()` A hexadecimal representation, calculated from the SourceSiteURL field, which must contain a valid URL value if either of the single sign-on profiles (POST or ARTIFACT) are enabled.This read-only value is a hexadecimal representation of a 20-byte binary value that is calculated from the SourceSiteURL.
`String` | `getSourceSiteURL()` The Source Site URL (name) of this SAML source site.
`String` | `getVersion()` The version number of the SAML Credential Mapper provider.
`boolean` | `isArtifactEnabled()` If true, enable Intersite Transfer Services for ARTIFACT profile.
`boolean` | `isPostEnabled()` If true, enable Intersite Transfer Services for POST profile.
`void` | `setArtifactEnabled(boolean newValue)` If true, enable Intersite Transfer Services for ARTIFACT profile.
`void` | `setAssertionConfiguration(Properties newValue)` Configuration for assertions generated by this SAML Authority.Assertions are configured in key=value format.
`void` | `setAssertionRetrievalURIs(String[] newValue)` One or more URI values indicating the URIs to which the SAML service should listen for incoming assertion retrieval requests.For artifact profile, the destination site receives a SAML artifact that represents a source site (why we need the source site ID values) and an assertion ID.
`void` | `setAssertionStoreClassName(String newValue)` The class that implements the persistent store for ARTIFACT profile assertions.
`void` | `setAssertionStoreProperties(Properties newValue)` Properties passed to Assertion Store class init() method.
`void` | `setCredCacheMinViableTTL(int newValue)` No description provided.
`void` | `setCredCacheSize(int newValue)` No description provided.
`void` | `setDefaultPostForm(String newValue)` The URI of the default POST form to use with POST profile.The default POST form must be a resource on the local machine.
`void` | `setDefaultTimeToLive(int newValue)` Time in seconds that, by default, an assertion should remain valid.If the value is zero, then assertions have an infinite lifetime.
`void` | `setDefaultTimeToLiveDelta(int newValue)` A time factor you can use to allow the Credential Mapper to compensate for clock differences between the source and destination sites.
`void` | `setIntersiteTransferURIs(String[] newValue)` The Intersite Transfer URIs for this SAML source site.
`void` | `setIssuerURI(String newValue)` The Issuer URI (name) of this SAML Authority.
`void` | `setMinimumParserPoolSize(int newValue)` The minimum number of parsers to maintain in the parser pool.
`void` | `setNameMapperClassName(String newValue)` The name of the Java class that maps Subjects to SAML Assertion name information.
`void` | `setNameQualifier(String newValue)` The Name Qualifier value used by the Name Mapper.The value of the Name Qualifier is the security or administrative domain that qualifies the name of the subject.
`void` | `setPostEnabled(boolean newValue)` If true, enable Intersite Transfer Services for POST profile.
`void` | `setSourceSiteURL(String newValue)` The Source Site URL (name) of this SAML source site.

Methods inherited from interface weblogic.management.commo.StandardInterface
`setName, wls_getDisplayName, wls_getInterfaceClassName, wls_getObjectName`

Methods inherited from interface weblogic.descriptor.DescriptorBean
`addBeanUpdateListener, addPropertyChangeListener, createChildCopy, createChildCopyIncludingObsolete, getDescriptor, getParentBean, isEditable, removeBeanUpdateListener, removePropertyChangeListener`

Methods inherited from interface weblogic.descriptor.SettableBean
`isSet, unSet`

Methods inherited from interface weblogic.management.security.ProviderMBean
`getRealm`

Method Detail

### getAssertionConfiguration

    public Properties getAssertionConfiguration()

  Configuration for assertions generated by this SAML Authority.Assertions are configured in key=value format. You may find it convenient to write your assertion configuration in a text editor and paste it into the Assertion Configuration field.

  Default value:
    new java.util.Properties()
  A dynamic MBean attribute.
    true

### getAssertionRetrievalURIs

    public String[] getAssertionRetrievalURIs()

  One or more URI values indicating the URIs to which the SAML service should listen for incoming assertion retrieval requests.For artifact profile, the destination site receives a SAML artifact that represents a source site (why we need the source site ID values) and an assertion ID. The destination site sends a request containing the artifact to the source site's assertion retrieval URL, and the source site responds with the corresponding assertion. You may configure multiple URIs here, although typically one will be sufficient. The URI includes the application context, followed by the resource context. For example: /my_application/saml/arswhich would be accessible from the outside as https://my.example.com/my_application/saml/ars The default value is /samlars/ars, which is a URI in the /samlars application. This application is automatically deployed by default, and serves only to host the Assertion Retrieval Service. For a typical use case, you can simply use the defaults. However, you must first set up SSL correctly, as the /samlars application requires a secure connection.

  Default value:
    weblogic.security.providers.saml.SAMLCredentialMapperImpl.defaultAssertionRetrievalURIs()
  A dynamic MBean attribute.
    false

### getAssertionStoreClassName

    public String getAssertionStoreClassName()

  The class that implements the persistent store for ARTIFACT profile assertions.

  Default value:
    ""
  A dynamic MBean attribute.
    false

### getAssertionStoreProperties

    public Properties getAssertionStoreProperties()

  Properties passed to Assertion Store class init() method. This may be useful if you have implemented a custom Assertion Store class.

  Default value:
    new java.util.Properties()
  A dynamic MBean attribute.
    false

### getCredCacheMinViableTTL

    public int getCredCacheMinViableTTL()

  No description provided.

  Default value:
    20
  Minimum value:
    0
  A dynamic MBean attribute.
    true

### getCredCacheSize

    public int getCredCacheSize()

  No description provided.

  Default value:
    0
  Minimum value:
    0
  A dynamic MBean attribute.
    true

### getDefaultPostForm

    public String getDefaultPostForm()

  The URI of the default POST form to use with POST profile.The default POST form must be a resource on the local machine. If the default POST form resource is not in the same application as the Intersite Transfer Service used with POST profile, then it must be in an application context that shares a cookie name with the Intersite Transfer Service application context.

  Default value:
    ""
  A dynamic MBean attribute.
    true

### getDefaultTimeToLive

    public int getDefaultTimeToLive()

  Time in seconds that, by default, an assertion should remain valid.If the value is zero, then assertions have an infinite lifetime. The default can be overridden for specific assertions.

  Default value:
    120
  Minimum value:
    0
  A dynamic MBean attribute.
    true

### getDefaultTimeToLiveDelta

    public int getDefaultTimeToLiveDelta()

  A time factor you can use to allow the Credential Mapper to compensate for clock differences between the source and destination sites. The value is a positive or negative integer representing seconds.Normally, an assertion is valid from the NotBefore time, which defaults to (roughly) the time the assertion was generated, until the NotOnOrAfter time, which is calculated as (NotBefore + TimeToLive). This value is a positive or negative integer indicating how many seconds before or after "now" the assertions NotBefore should be set to. If you set a value for DefaultTimeToLiveDelta, then the assertion lifetime is still calculated as (NotBefore + TimeToLive), but the NotBefore value is set to (now + TimeToLiveDelta). So, an assertion might have a two minute (120 second) lifetime that starts thirty seconds ago, or starts one minute from now. This allows the Credential Mapper to compensate for clock differences between the source and destination sites. The default can be overridden for specific assertions.

  Default value:
    0
  A dynamic MBean attribute.
    true

### getDescription

    public String getDescription()

  A short description of the SAML Credential Mapper provider.

  Specified by:
    `getDescription` in interface `ProviderMBean`
  Default value:
    "WebLogic SAML Credential Mapping Provider. Supports Security Assertion Markup Language v1.1."
  A dynamic MBean attribute.
    false
  A non-configurable MBean attribute.

### getIntersiteTransferURIs

    public String[] getIntersiteTransferURIs()

  The Intersite Transfer URIs for this SAML source site.

  Default value:
    weblogic.security.providers.saml.SAMLCredentialMapperImpl.defaultIntersiteTransferURIs()
  A dynamic MBean attribute.
    false

### getIssuerURI

    public String getIssuerURI()

  The Issuer URI (name) of this SAML Authority.

  Default value:
    ""
  A dynamic MBean attribute.
    true

### getMinimumParserPoolSize

    public int getMinimumParserPoolSize()

  The minimum number of parsers to maintain in the parser pool.

  Default value:
    5
  Minimum value:
    0
  A dynamic MBean attribute.
    false

### getName

    public String getName()

  Description copied from interface: `ProviderMBean`
  The name of this configuration. WebLogic Server uses an MBean to implement and persist the configuration.

  Specified by:
    `getName` in interface `weblogic.management.commo.StandardInterface`
  Default value:
    "SAMLCredentialMapper"
  A dynamic MBean attribute.
    false

### getNameMapperClassName

    public String getNameMapperClassName()

  The name of the Java class that maps Subjects to SAML Assertion name information. When no mapper is specified, the default mapper implementation is used.

  Default value:
    ""
  A dynamic MBean attribute.
    true

### getNameQualifier

    public String getNameQualifier()

  The Name Qualifier value used by the Name Mapper.The value of the Name Qualifier is the security or administrative domain that qualifies the name of the subject. This provides a means to federate names from disparate user stores while avoiding the possibility of subject name collision.

  Default value:
    ""
  A dynamic MBean attribute.
    true

### getProviderClassName

    public String getProviderClassName()

  The name of the Java class used to load the SAML Credential Mapper provider.

  Specified by:
    `getProviderClassName` in interface `ProviderMBean`
  Default value:
    "weblogic.security.providers.saml.SAMLCredentialMapperProviderImpl"
  A dynamic MBean attribute.
    false
  A non-configurable MBean attribute.
  Excluded: Should not appear in public javadocs
  Internal: Should not appear in public javadocs

### getSourceIdBase64

    public String getSourceIdBase64()

  A Base64 representation, calculated from the SourceSiteURL field, which must contain a valid URL value if either of the single sign-on profiles (POST or ARTIFACT) are enabled.This read-only value is a Base64 representation of a 20-byte binary value that is calculated from the SourceSiteURL. If you want to configure ARTIFACT profile with another site, you will need to give a SourceId value to the other site. This value is are automatically updated when the SourceSiteURL changes.

  Default value:
    ""
  A dynamic MBean attribute.
    true
  A non-configurable MBean attribute.

### getSourceIdHex

    public String getSourceIdHex()

  A hexadecimal representation, calculated from the SourceSiteURL field, which must contain a valid URL value if either of the single sign-on profiles (POST or ARTIFACT) are enabled.This read-only value is a hexadecimal representation of a 20-byte binary value that is calculated from the SourceSiteURL. If you want to configure ARTIFACT profile with another site, you will need to give a SourceId value to the other site. This value is are automatically updated when the SourceSiteURL changes.

  Default value:
    ""
  A dynamic MBean attribute.
    true
  A non-configurable MBean attribute.

### getSourceSiteURL

    public String getSourceSiteURL()

  The Source Site URL (name) of this SAML source site.

  Default value:
    ""
  A dynamic MBean attribute.
    true

### getVersion

    public String getVersion()

  The version number of the SAML Credential Mapper provider.

  Specified by:
    `getVersion` in interface `ProviderMBean`
  Default value:
    "1.0"
  A dynamic MBean attribute.
    false
  A non-configurable MBean attribute.

### isArtifactEnabled

    public boolean isArtifactEnabled()

  If true, enable Intersite Transfer Services for ARTIFACT profile.

  Default value:
    false
  A dynamic MBean attribute.
    true

### isPostEnabled

    public boolean isPostEnabled()

  If true, enable Intersite Transfer Services for POST profile.

  Default value:
    false
  A dynamic MBean attribute.
    true

### setArtifactEnabled

    public void setArtifactEnabled(boolean newValue)
                            throws InvalidAttributeValueException

  If true, enable Intersite Transfer Services for ARTIFACT profile.

  Parameters:
    `newValue` - - new value for attribute ArtifactEnabled
  Throws:
    `InvalidAttributeValueException`
  Default value:
    false
  A dynamic MBean attribute.
    true

### setAssertionConfiguration

    public void setAssertionConfiguration(Properties newValue)
                                   throws InvalidAttributeValueException

  Configuration for assertions generated by this SAML Authority.Assertions are configured in key=value format. You may find it convenient to write your assertion configuration in a text editor and paste it into the Assertion Configuration field.

  Parameters:
    `newValue` - - new value for attribute AssertionConfiguration
  Throws:
    `InvalidAttributeValueException`
  Default value:
    new java.util.Properties()
  A dynamic MBean attribute.
    true

### setAssertionRetrievalURIs

    public void setAssertionRetrievalURIs(String[] newValue)
                                   throws InvalidAttributeValueException

  One or more URI values indicating the URIs to which the SAML service should listen for incoming assertion retrieval requests.For artifact profile, the destination site receives a SAML artifact that represents a source site (why we need the source site ID values) and an assertion ID. The destination site sends a request containing the artifact to the source site's assertion retrieval URL, and the source site responds with the corresponding assertion. You may configure multiple URIs here, although typically one will be sufficient. The URI includes the application context, followed by the resource context. For example: /my_application/saml/arswhich would be accessible from the outside as https://my.example.com/my_application/saml/ars The default value is /samlars/ars, which is a URI in the /samlars application. This application is automatically deployed by default, and serves only to host the Assertion Retrieval Service. For a typical use case, you can simply use the defaults. However, you must first set up SSL correctly, as the /samlars application requires a secure connection.

  Parameters:
    `newValue` - - new value for attribute AssertionRetrievalURIs
  Throws:
    `InvalidAttributeValueException`
  Default value:
    weblogic.security.providers.saml.SAMLCredentialMapperImpl.defaultAssertionRetrievalURIs()
  A dynamic MBean attribute.
    false

### setAssertionStoreClassName

    public void setAssertionStoreClassName(String newValue)
                                    throws InvalidAttributeValueException

  The class that implements the persistent store for ARTIFACT profile assertions.

  Parameters:
    `newValue` - - new value for attribute AssertionStoreClassName
  Throws:
    `InvalidAttributeValueException`
  Default value:
    ""
  A dynamic MBean attribute.
    false

### setAssertionStoreProperties

    public void setAssertionStoreProperties(Properties newValue)
                                     throws InvalidAttributeValueException

  Properties passed to Assertion Store class init() method. This may be useful if you have implemented a custom Assertion Store class.

  Parameters:
    `newValue` - - new value for attribute AssertionStoreProperties
  Throws:
    `InvalidAttributeValueException`
  Default value:
    new java.util.Properties()
  A dynamic MBean attribute.
    false

### setCredCacheMinViableTTL

    public void setCredCacheMinViableTTL(int newValue)
                                  throws InvalidAttributeValueException

  No description provided.

  Parameters:
    `newValue` - - new value for attribute CredCacheMinViableTTL
  Throws:
    `InvalidAttributeValueException`
  Default value:
    20
  Minimum value:
    0
  A dynamic MBean attribute.
    true

### setCredCacheSize

    public void setCredCacheSize(int newValue)
                          throws InvalidAttributeValueException

  No description provided.

  Parameters:
    `newValue` - - new value for attribute CredCacheSize
  Throws:
    `InvalidAttributeValueException`
  Default value:
    0
  Minimum value:
    0
  A dynamic MBean attribute.
    true

### setDefaultPostForm

    public void setDefaultPostForm(String newValue)
                            throws InvalidAttributeValueException

  The URI of the default POST form to use with POST profile.The default POST form must be a resource on the local machine. If the default POST form resource is not in the same application as the Intersite Transfer Service used with POST profile, then it must be in an application context that shares a cookie name with the Intersite Transfer Service application context.

  Parameters:
    `newValue` - - new value for attribute DefaultPostForm
  Throws:
    `InvalidAttributeValueException`
  Default value:
    ""
  A dynamic MBean attribute.
    true

### setDefaultTimeToLive

    public void setDefaultTimeToLive(int newValue)
                              throws InvalidAttributeValueException

  Time in seconds that, by default, an assertion should remain valid.If the value is zero, then assertions have an infinite lifetime. The default can be overridden for specific assertions.

  Parameters:
    `newValue` - - new value for attribute DefaultTimeToLive
  Throws:
    `InvalidAttributeValueException`
  Default value:
    120
  Minimum value:
    0
  A dynamic MBean attribute.
    true

### setDefaultTimeToLiveDelta

    public void setDefaultTimeToLiveDelta(int newValue)
                                   throws InvalidAttributeValueException

  A time factor you can use to allow the Credential Mapper to compensate for clock differences between the source and destination sites. The value is a positive or negative integer representing seconds.Normally, an assertion is valid from the NotBefore time, which defaults to (roughly) the time the assertion was generated, until the NotOnOrAfter time, which is calculated as (NotBefore + TimeToLive). This value is a positive or negative integer indicating how many seconds before or after "now" the assertions NotBefore should be set to. If you set a value for DefaultTimeToLiveDelta, then the assertion lifetime is still calculated as (NotBefore + TimeToLive), but the NotBefore value is set to (now + TimeToLiveDelta). So, an assertion might have a two minute (120 second) lifetime that starts thirty seconds ago, or starts one minute from now. This allows the Credential Mapper to compensate for clock differences between the source and destination sites. The default can be overridden for specific assertions.

  Parameters:
    `newValue` - - new value for attribute DefaultTimeToLiveDelta
  Throws:
    `InvalidAttributeValueException`
  Default value:
    0
  A dynamic MBean attribute.
    true

### setIntersiteTransferURIs

    public void setIntersiteTransferURIs(String[] newValue)
                                  throws InvalidAttributeValueException

  The Intersite Transfer URIs for this SAML source site.

  Parameters:
    `newValue` - - new value for attribute IntersiteTransferURIs
  Throws:
    `InvalidAttributeValueException`
  Default value:
    weblogic.security.providers.saml.SAMLCredentialMapperImpl.defaultIntersiteTransferURIs()
  A dynamic MBean attribute.
    false

### setIssuerURI

    public void setIssuerURI(String newValue)
                      throws InvalidAttributeValueException

  The Issuer URI (name) of this SAML Authority.

  Parameters:
    `newValue` - - new value for attribute IssuerURI
  Throws:
    `InvalidAttributeValueException`
  Default value:
    ""
  A dynamic MBean attribute.
    true

### setMinimumParserPoolSize

    public void setMinimumParserPoolSize(int newValue)
                                  throws InvalidAttributeValueException

  The minimum number of parsers to maintain in the parser pool.

  Parameters:
    `newValue` - - new value for attribute MinimumParserPoolSize
  Throws:
    `InvalidAttributeValueException`
  Default value:
    5
  Minimum value:
    0
  A dynamic MBean attribute.
    false

### setNameMapperClassName

    public void setNameMapperClassName(String newValue)
                                throws InvalidAttributeValueException

  The name of the Java class that maps Subjects to SAML Assertion name information. When no mapper is specified, the default mapper implementation is used.

  Parameters:
    `newValue` - - new value for attribute NameMapperClassName
  Throws:
    `InvalidAttributeValueException`
  Default value:
    ""
  A dynamic MBean attribute.
    true

### setNameQualifier

    public void setNameQualifier(String newValue)
                          throws InvalidAttributeValueException

  The Name Qualifier value used by the Name Mapper.The value of the Name Qualifier is the security or administrative domain that qualifies the name of the subject. This provides a means to federate names from disparate user stores while avoiding the possibility of subject name collision.

  Parameters:
    `newValue` - - new value for attribute NameQualifier
  Throws:
    `InvalidAttributeValueException`
  Default value:
    ""
  A dynamic MBean attribute.
    true

### setPostEnabled

    public void setPostEnabled(boolean newValue)
                        throws InvalidAttributeValueException

  If true, enable Intersite Transfer Services for POST profile.

  Parameters:
    `newValue` - - new value for attribute PostEnabled
  Throws:
    `InvalidAttributeValueException`
  Default value:
    false
  A dynamic MBean attribute.
    true

### setSourceSiteURL

    public void setSourceSiteURL(String newValue)
                          throws InvalidAttributeValueException

  The Source Site URL (name) of this SAML source site.

  Parameters:
    `newValue` - - new value for attribute SourceSiteURL
  Throws:
    `InvalidAttributeValueException`
  Default value:
    ""
  A dynamic MBean attribute.
    true

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Documentation is available at http://e-docs.bea.com/wls/docs91 Copyright 2005 BEA Systems Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD